mmroff(1)

Name
mmroff - reference- and PostScript inclusion-handling front end for GNU roff mm macro package

Synopsis
mmroff [-x] groff-argument ...

mmroff --help

mmroff --version

Description
mmroff is a simple wrapper for groff, used to expand internal references in mm documents; see groff_mm(7). It runs groff with the -mm option twice, first with -z and -rRef=1 to populate reference and index files with their corresponding entries, and then without to produce the document. It also handles the inclusion of PostScript images with the PIC macro. Documents that do not use these features of groff mm (the INITI, IND, INDP, INITR, SETR, GETHN, GETPN, GETR, GETST, and PIC macros) do not require mmroff.

Options
--help displays a usage message, while --version shows version information; both exit afterward.

-x  Create or update the reference list file and exit.

Environment
Normally, the path separator in environment variables ending with PATH is the colon; this may vary depending on the operating system. For example, Windows uses a semicolon instead.

GROFF_BIN_PATH
    Locate groff commands in these directories, followed by those in PATH. If not set, the installation directory of GNU roff executables, /usr/bin, is searched before PATH.

Exit status
mmroff exits with status 0 if the --help or --version options were specified, or if -x was specified and the program successfully created or updated the reference list file. It exits with status 1 if it was unable to create necessary files. Otherwise, it exits with the status of groff.

Authors
mmroff was written by Jrgen Hgg (jh@axis.se) of Lund, Sweden.

See also
groff_mm(7), groff_mmse(7) (only in Swedish locales), groff(1), troff(1), tbl(1), pic(1), eqn(1)